import { WidgetProps } from '@oinone/kunlun-engine';
import { VueWidget } from '@oinone/kunlun-vue-widget';
export interface TeleportWidgetProps extends WidgetProps {
    teleport?: string;
    visible?: boolean;
    disabled?: boolean;
}
/**
 * teleport widget
 */
export declare class TeleportWidget extends VueWidget<TeleportWidgetProps> {
    protected teleport: string | undefined;
    protected visible: boolean;
    protected disabled: boolean;
    initialize(props: TeleportWidgetProps): this;
    isVisible(): boolean;
    show(): void;
    hide(): void;
    getTeleport(): string | undefined;
    setTeleport(teleport: string | undefined): void;
    isDisabled(): boolean;
    enable(): void;
    disable(): void;
}
